function modifie_methode_migration_modification_utilisation_fonction_OSMnx_recuperation_graph_information() {
    #Cette fonction a pour but qu'un fois la méthode de récupération de fichier faire le fichier de migration utilise la
    #méthode provenant de la classe OSMnx_recuperation_graph_information. Cela va nous permettre de réutiliser le
    #fichier de migration en cas de réutilisation lors par example.
    #elle prends en paramètre le nom de la nouvelle variable et le nom de la fonction de récupération de fonction

    #le chemin vers le dossier des migrations de l'application recuperateur_reseau_viaire
    chemin_vers_migration=./
    #le chemin du fichier tampon à remplir au fur et à mesure
    chemin_vers_cible=./_migration_tampon

    fichiers=$(ls $chemin_vers_migration)
    for fichier in $fichiers
    do
      if [[ -z $(echo $fichier | grep 'auto')  ]]
      then
        continue
      fi
      if [[ -z $(cat $fichier | grep 'np.load') ]]
      then
        continue
      fi
      echo $fichier
      nom_variable=$(cat $fichier | grep -P -o ' graph.gvvi[^ ]*' | cut -d '.' -f 2)
      nom_fonction=$(cat ./../../OSM_outils/OSMnx_recuperation_graph_information.py | tr -d '\n' | sed -s 's/def/\ndef/g' | grep "$nom_variable" | grep -o 'def[^(]*' | cut -d ' ' -f 2)
      cat $fichier | grep -v 'np.load' | grep -v 'numpy' | sed -n '0, /all()/p' > $chemin_vers_cible
      echo -e "        G = OSMnx_recuperation_graph_information.lire_graphe(graph.gvvi_nom)" >> $chemin_vers_cible
      echo -e "        graph.$nom_variable = OSMnx_recuperation_graph_information.$nom_fonction(G)[\"$nom_variable\"]" >> $chemin_vers_cible
      cat $fichier | sed -n '/save/, $p' >> $chemin_vers_cible
      cat $chemin_vers_cible > $fichier
      rm $chemin_vers_cible
      echo $nom_variable
    done
}

modifie_methode_migration_modification_utilisation_fonction_OSMnx_recuperation_graph_information